Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class Registry

    java.lang.Object
      |
      +--com.caucho.util.Registry

public final class Registry
extends java.lang.Object

Method Summary
`static void` | `addListener(ChangeListener listener)`
`static boolean` | `getBoolean(java.lang.String path, boolean deflt)`
`static QDate` | `getDate(java.lang.String path, QDate deflt)`
`static double` | `getDouble(java.lang.String path, double deflt)`
`static int` | `getInt(java.lang.String path, int deflt)`
`static long` | `getPeriod(java.lang.String path, long deflt)`
`static RegistryNode` | `getRegistry()`
`static java.lang.String` | `getString(java.lang.String path, java.lang.String deflt)`
`static RegistryNode` | `lookup(java.lang.String path)`
`static RegistryNode` | `parse(Path path)`
`static RegistryNode` | `parse(ReadStream is)`
`static void` | `removeListener(ChangeListener listener)`
`static RegistryNode` | `setDefault(RegistryNode registry)`
`static RegistryNode` | `setRegistry(RegistryNode registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static RegistryNode parse(Path path)
                              throws java.io.IOException

### parse

    public static RegistryNode parse(ReadStream is)
                              throws java.io.IOException

### setDefault

    public static RegistryNode setDefault(RegistryNode registry)

### setRegistry

    public static RegistryNode setRegistry(RegistryNode registry)

### getRegistry

    public static RegistryNode getRegistry()

### lookup

    public static RegistryNode lookup(java.lang.String path)

### getBoolean

    public static boolean getBoolean(java.lang.String path,
                                     boolean deflt)

### getInt

    public static int getInt(java.lang.String path,
                             int deflt)

### getDouble

    public static double getDouble(java.lang.String path,
                                   double deflt)

### getString

    public static java.lang.String getString(java.lang.String path,
                                             java.lang.String deflt)

### getDate

    public static QDate getDate(java.lang.String path,
                                QDate deflt)

### getPeriod

    public static long getPeriod(java.lang.String path,
                                 long deflt)

### addListener

    public static void addListener(ChangeListener listener)

### removeListener

    public static void removeListener(ChangeListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD